# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.VehicleData
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.VehicleData
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.VehicleData

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

c

net.psforever.packet.game.objectcreate

# VehicleData 

###
Companion object VehicleData

#### final case class VehicleData(pos: PlacementData, data: CommonFieldData, unk3: Boolean, health: Int, unk4: Boolean, no_mount_points: Boolean, driveState: types.DriveState.Value, unk5: Boolean, unk6: Boolean, cloak: Boolean, vehicle_format_data: Option[SpecificVehicleData], inventory: Option[InventoryData] = None)(vehicle_type: VehicleFormat.Value = VehicleFormat.Normal) extends ConstructorData with Product with Serializable

A representation of a generic vehicle.

pos

  where the vehicle is and how it is oriented in the game world

data

  common vehicle field data:
  -bops - this vehicle belongs to the Black Ops, regardless of the faction field; activates the green camo and adjusts permissions
  -destroyed - this vehicle has ben destroyed; health should be less than 3/255, or 0%
  -jammered - vehicles will not be jammered by setting this field
  -player_guid the vehicle's (official) owner; a living player in the game world on the same continent as the vehicle who may mount the driver mount

unk3

  na

health

  the amount of health the vehicle has, as a percentage of a filled bar (255)

unk4

  na

no_mount_points

  do not display entry points for the seats

driveState

  a representation for the current mobility state; various vehicles also use this field to indicate "deployment," e.g., the advanced mobile spawn

unk5

  na

unk6

  na

cloak

  if a vehicle (that can cloak) is cloaked

vehicle_format_data

  extra information necessary to implement special-type vehicles; see `vehicle_type`

inventory

  the seats, mounted weapons, and utilities (such as terminals) that are currently included; will also include trunk contents; the driver is the only valid mount entry (more will cause the access permissions to act up)

vehicle_type

  a modifier for parsing the vehicle data format differently; see `vehicle_format_data`; defaults to `Normal`

Source
  VehicleData.scala

Linear Supertypes
Serializable, Product, Equals, ConstructorData, StreamBitSize, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VehicleData
2. Serializable
3. Product
4. Equals
5. ConstructorData
6. StreamBitSize
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new VehicleData(pos: PlacementData, data: CommonFieldData, unk3: Boolean, health: Int, unk4: Boolean, no_mount_points: Boolean, driveState: types.DriveState.Value, unk5: Boolean, unk6: Boolean, cloak: Boolean, vehicle_format_data: Option[SpecificVehicleData], inventory: Option[InventoryData] = None)(vehicle_type: VehicleFormat.Value = VehicleFormat.Normal)

   pos

     where the vehicle is and how it is oriented in the game world

   data

     common vehicle field data:
     -bops - this vehicle belongs to the Black Ops, regardless of the faction field; activates the green camo and adjusts permissions
     -destroyed - this vehicle has ben destroyed; health should be less than 3/255, or 0%
     -jammered - vehicles will not be jammered by setting this field
     -player_guid the vehicle's (official) owner; a living player in the game world on the same continent as the vehicle who may mount the driver mount

   unk3

     na

   health

     the amount of health the vehicle has, as a percentage of a filled bar (255)

   unk4

     na

   no_mount_points

     do not display entry points for the seats

   driveState

     a representation for the current mobility state; various vehicles also use this field to indicate "deployment," e.g., the advanced mobile spawn

   unk5

     na

   unk6

     na

   cloak

     if a vehicle (that can cloak) is cloaked

   vehicle_format_data

     extra information necessary to implement special-type vehicles; see `vehicle_type`

   inventory

     the seats, mounted weapons, and utilities (such as terminals) that are currently included; will also include trunk contents; the driver is the only valid mount entry (more will cause the access permissions to act up)

   vehicle_type

     a modifier for parsing the vehicle data format differently; see `vehicle_format_data`; defaults to `Normal`

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def bitsize: Long

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields.

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields. For example, a traditional `Int` is normally a 32-bit number, often rendered as a `32u` number. When parsed with a `uintL(7)`, it's length will be considered 7 bits (`7u`). (Note: being permanently signed, an `scodec` value of `32u` or longer must fit into a `Long` type.)

   returns

     the number of bits necessary to measure an object of this class; defaults to `0L`

   Definition Classes
     VehicleData → StreamBitSize
6.  val cloak: Boolean
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  val data: CommonFieldData
9.  val driveState: types.DriveState.Value
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  val health: Int
14.  val inventory: Option[InventoryData]
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  val no_mount_points: Boolean
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  val pos: PlacementData
21.  def productElementNames: Iterator[String]
    Definition Classes
      Product
22.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
23.  val unk3: Boolean
24.  val unk4: Boolean
25.  val unk5: Boolean
26.  val unk6: Boolean
27.  val vehicle_format_data: Option[SpecificVehicleData]
28.  val vehicle_type: VehicleFormat.Value
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ConstructorData

### Inherited from StreamBitSize

### Inherited from AnyRef

### Inherited from Any

### Ungrouped